[Armadeus-commitlog] SF.net SVN: armadeus:[1305] trunk/target/test/test_usb_host.sh
Brought to you by:
sszy
|
From: <ar...@us...> - 2009-05-26 13:01:19
|
Revision: 1305
http://armadeus.svn.sourceforge.net/armadeus/?rev=1305&view=rev
Author: artemys
Date: 2009-05-26 12:47:40 +0000 (Tue, 26 May 2009)
Log Message:
-----------
[TEST] Updates USB test for APF27
Modified Paths:
--------------
trunk/target/test/test_usb_host.sh
Modified: trunk/target/test/test_usb_host.sh
===================================================================
--- trunk/target/test/test_usb_host.sh 2009-05-26 08:18:49 UTC (rev 1304)
+++ trunk/target/test/test_usb_host.sh 2009-05-26 12:47:40 UTC (rev 1305)
@@ -15,22 +15,28 @@
source ./test_env.sh
+load_usb_host_driver_apf9328()
+{
+ modprobe apf9328-isp1761
+ modprobe hal_imx
+ modprobe pehci
+ if [ "$?" != 0 ]; then
+ echo "Unable to load USB Host modules !!"
+ fi
+}
+
test_usb_host()
{
show_test_banner "USB Host"
- modprobe apf9328-isp1761
- modprobe hal_imx
- modprobe pehci
+ execute_for_target load_usb_host_driver_apf9328 echo
+ dmesg | grep "USB hub found"
if [ "$?" != 0 ]; then
- echo "Unable to load USB Host modules !!"
- fi
- dmesg | tail | grep "USB hub found"
- if [ "$?" != 0 ]; then
echo "USB Host was not found !!"
+ exit_failed
fi
- echo "Please insert a USB key"
+ echo "Please insert a USB key (nothing will be erased)"
it=0
false
while [ "$?" != 0 ] && [ $it -le 15 ]; do
@@ -39,12 +45,13 @@
dmesg | tail | grep "Attached SCSI removable disk"
done
- mount /dev/sda1 /mnt/mmc
- ls /mnt/mmc/
+ mount `ls /dev/sd*1` /mnt/mmc && ls /mnt/mmc/
if [ "$?" == 0 ]; then
+ df -h
echo_test_ok
fi
umount /mnt/mmc
}
-test_usb_host
\ No newline at end of file
+test_usb_host
+
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|